Support » Plugin: Simple Calendar - Google Calendar Plugin » Compatible with PHP 7?

  • Hi,

    I attempted to update my website, lebanonbfc.org to PHP 7.1.0 at Siteground today. When I did so, and tried to access the WP Dashboard, I got the following error message:

    Fatal error: Class ‘Google_Service_Resource’ not found in /home/lebanonb/public_html/wp-content/plugins/google-calendar-events/vendor/google/apiclient/src/Google/Service/Calendar.php on line 898

    Is this an incompatibility issue between PHP 7 and Simple Calendar?

    Thank you for your help! I LOVE this plugin, and it displays our church events exactly as I would like it to. Thank you for all of your work.

    -Dave B.

    • This topic was modified 3 years, 9 months ago by mintdave.
Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Contributor Nick Young

    (@nickyoung87)

    Are you able to switch the PHP version to a lower version like 7.0.x?

    This has started popping up more recently so we will be trying to dig deeper to find out what is causing this.

    Thanks for letting us know you ran into this.

    Hi, when I switch to PHP 7.0.14, I get other errors from other plugins, but I don’t get that same specific error with Simple Calendar.

    (At least not as far as I can tell)

    Plugin Contributor Nick Young

    (@nickyoung87)

    Perfect thanks for checking that and letting us know. I have added this as an issue for us to look into deeper. I will let you know if we need anything else.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Compatible with PHP 7?’ is closed to new replies.